Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Class NameSet

    java.lang.Object
      org.apache.openjpa.jdbc.schema.NameSet

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SchemaGroup, Table

    public class NameSet

extends Object
implements Serializable

Name sets track what names have been taken, ignoring case. `SchemaGroup`s implement this interface for tables, indexes, and constraints; `Table`s implement it for their columns.

Author:
  Abe White
See Also:
  Serialized Form

Constructor Summary
`NameSet()`

Method Summary
`protected void` | `addName(DBIdentifier name, boolean validate)` Attempt to add the given name to the set.
`protected void` | `addName(String name, boolean validate)` Deprecated.
`boolean` | `isNameTaken(DBIdentifier name)`
`boolean` | `isNameTaken(String name)` Deprecated.
`protected void` | `removeName(DBIdentifier name)` Remove the given name from the table.
`protected void` | `removeName(String name)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameSet

    public NameSet()

Method Detail

### isNameTaken

    public boolean isNameTaken(String name)

  Deprecated.

  Return true if the given name is in use already.

### isNameTaken

    public boolean isNameTaken(DBIdentifier name)

### addName

    protected void addName(String name,
                           boolean validate)

  Deprecated.

### addName

    protected void addName(DBIdentifier name,
                           boolean validate)

  Attempt to add the given name to the set.

  Parameters:
    `name` - the name to add
    `validate` - if true, null or empty names will not be accepted

### removeName

    protected void removeName(String name)

  Deprecated.

### removeName

    protected void removeName(DBIdentifier name)

  Remove the given name from the table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.